var http        = require('http');
var url         = require('url');
var port        = 8081;
var channelName = 'socketiobridge';
var server      = http.createServer(handleRequest);

server.listen(port);
console.log('Server started, listening on port ' + port + '.');

function handleRequest(_req, _res) {
  // nothing to do here
}

var io = require('socket.io').listen(server);

io.sockets.on('connection',
  function (_socket) {
    _socket.broadcast.emit(channelName, {status: 'connect'});
    console.log(
      'We have a new client: ' + _socket.id  +
      ' clientip: ' + _socket.request.connection.remoteAddress
    );
    _socket.on(channelName,
      function(_msg) {
        if(_msg.data !== null) {
          if(_msg.data !== undefined) {
            _msg.status = 'message';
            _socket.broadcast.emit(channelName, _msg);
            console.log(channelName + ' ' + _msg.data);
          }
        }
      }
    );
    _socket.on('disconnect', function() {
      _socket.broadcast.emit(channelName, {status: 'disconnect'});
		  console.log('A client has disconnected.');
    });
  }
);